CDN
All operations require authentication.
List available log kindsProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ cdn/ log/ kind \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a log kindProduction
Path parameters
Name
Response
List of additional log fields managed in this log kind
Creation date of the log kind
Log kind display name
Log kind ID
Log kind name
Last update date of the log kind
Example uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ cdn/ log/ kind/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
List available options for a Shared CDN serviceProduction
Path parameters
Service name
Response
Option category
cacheperformancesecurityOption configuration
Max option items
Option type
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ availableOptions \
-H "authorization: Bearer $OVH_TOKEN"[ { "category": "cache", "config": { "destination": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" }, "followUri": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" }, "origins": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" }, "patternType": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" }, "priority": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" }, "queryParameters": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" }, "resources": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" }, "statusCode": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" }, "ttl": { "length": 0, "maximum": 0, "message": "string", "minimum": 0, "type": "bool" } }, "maxItems": 0, "type": "string" }]
List all domains for a Shared CDN serviceProduction
Path parameters
Service name
Response
Creation date
Domain name
The domain configuration has been updated, it needs a refresh
Domain status
deletingdisableddisablingokrefreshingto_deleteto_disableto_refreshLast update date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ { "creationDate": "2024-01-01T12:00:00Z", "name": "string", "needRefresh": true, "status": "deleting", "updatedDate": "2024-01-01T12:00:00Z" }]
Get details for a domain on a Shared CDN serviceProduction
Path parameters
Domain name
Service name
Response
Creation date
Domain name
The domain configuration has been updated, it needs a refresh
Domain status
deletingdisableddisablingokrefreshingto_deleteto_disableto_refreshLast update date
Example uses domainName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "name": "string", "needRefresh": true, "status": "deleting", "updatedDate": "2024-01-01T12:00:00Z"}
Generate URL to logs archiveProduction
Path parameters
Domain name
Service name
Query parameters
Logs date (default is yesterday)
Response
URL to logs archive
URL validity
Example uses domainName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ logs \
-H "authorization: Bearer $OVH_TOKEN"{ "url": "string", "validity": "2024-01-01T12:00:00Z"}
List all options for a domainProduction
Path parameters
Domain name
Service name
Response
Option configuration
Enable / Disable the option
Additional information about option
Option name
Url pattern
Option type
brotlicache_rulecorsdevmodegeo_headershstshttps_redirectmixed_contentmobile_redirectprefetchprewarmquerystringwafExample uses domainName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ option \
-H "authorization: Bearer $OVH_TOKEN"[ { "config": { "destination": "string", "followUri": true, "origins": "string", "patternType": "extension", "priority": 0, "queryParameters": "ignored", "resources": [ "string" ], "statusCode": 0, "ttl": 0 }, "enabled": true, "extra": { "quota": 0, "usage": 0 }, "name": "string", "pattern": "string", "type": "brotli" }]
Add an option on a domainProduction
Path parameters
Domain name
Service name
Request body (required)
Option configuration
Enable / Disable the option
Option name
Url pattern
Option type
cache_ruleResponse
Option configuration
Enable / Disable the option
Additional information about option
Option name
Url pattern
Option type
brotlicache_rulecorsdevmodegeo_headershstshttps_redirectmixed_contentmobile_redirectprefetchprewarmquerystringwafExample uses domainName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ option \
-H "authorization: Bearer $OVH_TOKEN"{ "config": { "destination": "string", "followUri": true, "origins": "string", "patternType": "extension", "priority": 0, "queryParameters": "ignored", "resources": [ "string" ], "statusCode": 0, "ttl": 0 }, "enabled": true, "extra": { "quota": 0, "usage": 0 }, "name": "string", "pattern": "string", "type": "brotli"}
Get details for an option on a domainProduction
Path parameters
Domain name
Option name
Service name
Response
Option configuration
Enable / Disable the option
Additional information about option
Option name
Url pattern
Option type
brotlicache_rulecorsdevmodegeo_headershstshttps_redirectmixed_contentmobile_redirectprefetchprewarmquerystringwafExample uses domainName = string, optionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ option/ {optionName} \
-H "authorization: Bearer $OVH_TOKEN"{ "config": { "destination": "string", "followUri": true, "origins": "string", "patternType": "extension", "priority": 0, "queryParameters": "ignored", "resources": [ "string" ], "statusCode": 0, "ttl": 0 }, "enabled": true, "extra": { "quota": 0, "usage": 0 }, "name": "string", "pattern": "string", "type": "brotli"}
Update an option on a domainProduction
Path parameters
Domain name
Option name
Service name
Request body (required)
Option configuration
Enable / Disable the option
Additional information about option
Option name
Url pattern
Option type
brotlicache_rulecorsdevmodegeo_headershstshttps_redirectmixed_contentmobile_redirectprefetchprewarmquerystringwafResponse
Option configuration
Enable / Disable the option
Additional information about option
Option name
Url pattern
Option type
brotlicache_rulecorsdevmodegeo_headershstshttps_redirectmixed_contentmobile_redirectprefetchprewarmquerystringwafExample uses domainName = string, optionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ option/ {optionName} \
-H "authorization: Bearer $OVH_TOKEN"{ "config": { "destination": "string", "followUri": true, "origins": "string", "patternType": "extension", "priority": 0, "queryParameters": "ignored", "resources": [ "string" ], "statusCode": 0, "ttl": 0 }, "enabled": true, "extra": { "quota": 0, "usage": 0 }, "name": "string", "pattern": "string", "type": "brotli"}
Remove or Reset an option to his default valueProduction
Path parameters
Domain name
Option name
Service name
Response
Example uses domainName = string, optionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ option/ {optionName} \
-H "authorization: Bearer $OVH_TOKEN"Flush cache content on CDN for a domainProduction
Path parameters
Domain name
Service name
Query parameters
Purge pattern
Purge Pattern Type (default is regex)
extensionfolderregexuriResponse
Comment
Creation date
Operation function
analytics_deleteanalytics_recomputedomain_deletedomain_disabledomain_purgedomain_refreshservice_installssl_deletessl_installOperation id
Operation parameter
Shared CDN service
Operation status
cancelleddoingdoneerrortodoNext execution date
Last execution date
Example uses domainName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ purge \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "function": "analytics_delete", "id": 0, "parameter": { "anycastIp": "192.0.2.0", "cluster": "string", "date": "2024-01-01", "domainName": "string", "fingerprint": "string", "offer": "advanced", "pattern": "string", "service": "string", "sslId": 0 }, "service": "string", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updatedDate": "2024-01-01T12:00:00Z"}
Trigger a refresh for a domainProduction
Path parameters
Domain name
Service name
Response
Comment
Creation date
Operation function
analytics_deleteanalytics_recomputedomain_deletedomain_disabledomain_purgedomain_refreshservice_installssl_deletessl_installOperation id
Operation parameter
Shared CDN service
Operation status
cancelleddoingdoneerrortodoNext execution date
Last execution date
Example uses domainName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ refresh \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "function": "analytics_delete", "id": 0, "parameter": { "anycastIp": "192.0.2.0", "cluster": "string", "date": "2024-01-01", "domainName": "string", "fingerprint": "string", "offer": "advanced", "pattern": "string", "service": "string", "sslId": 0 }, "service": "string", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updatedDate": "2024-01-01T12:00:00Z"}
Get CDN statistics for a domainDeprecated
Deprecated since Nov 3, 2023, will be removed on Jan 1, 2024.
Path parameters
Domain name
Service name
Query parameters
Period (default is day)
daymonthweekyearResponse
name of the serie
hitmissList of DataPoints
Unit of the serie
req/minExample uses domainName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ domain/ {domainName}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"[ { "name": "hit", "points": [ { "timestamp": 0, "value": 0 } ], "unit": "req/min" }]
List all operations for a Shared CDN serviceProduction
Path parameters
Service name
Response
Comment
Creation date
Operation function
analytics_deleteanalytics_recomputedomain_deletedomain_disabledomain_purgedomain_refreshservice_installssl_deletessl_installOperation id
Operation parameter
Shared CDN service
Operation status
cancelleddoingdoneerrortodoNext execution date
Last execution date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ operation \
-H "authorization: Bearer $OVH_TOKEN"[ { "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "function": "analytics_delete", "id": 0, "parameter": { "anycastIp": "192.0.2.0", "cluster": "string", "date": "2024-01-01", "domainName": "string", "fingerprint": "string", "offer": "advanced", "pattern": "string", "service": "string", "sslId": 0 }, "service": "string", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updatedDate": "2024-01-01T12:00:00Z" }]
Get details for a Shared CDN operationProduction
Path parameters
Id
Service name
Response
Comment
Creation date
Operation function
analytics_deleteanalytics_recomputedomain_deletedomain_disabledomain_purgedomain_refreshservice_installssl_deletessl_installOperation id
Operation parameter
Shared CDN service
Operation status
cancelleddoingdoneerrortodoNext execution date
Last execution date
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ cdn/ operation/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "function": "analytics_delete", "id": 0, "parameter": { "anycastIp": "192.0.2.0", "cluster": "string", "date": "2024-01-01", "domainName": "string", "fingerprint": "string", "offer": "advanced", "pattern": "string", "service": "string", "sslId": 0 }, "service": "string", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updatedDate": "2024-01-01T12:00:00Z"}